#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	Twofish2
Summary:	Crypt::Twofish2 - Crypt::CBC compliant Twofish encryption Perl module
Summary(pl.UTF-8):	Crypt::Twofish2 - perlowy moduł szyfru Twofish zgodny z Crypt::CBC
Name:		perl-Crypt-Twofish2
Version:	1.02
Release:	15
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	28efe17baac40c14914912bb3e5932b5
URL:		http://search.cpan.org/dist/Crypt-Twofish2/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the Twofish cipher in a less braindamaged
(read: slow and ugly) way than the existing "Crypt::Twofish" module.
Although it is "Crypt::CBC" compliant you usually gain nothing by
using that module (except generality), since "Crypt::Twofish2" can
work in either ECB or CBC mode.

%description -l pl.UTF-8
Ten moduł jest implementacją szyfru Twofish w mniej debilny (powolny
i paskudny) sposób niż moduł Crypt::Twofish. Pomimo tego, że jest
zgodny z Crypt::CBC, nie ma potrzeby używania tamtego modułu, ponieważ
Crypt::Twofish2 może działać zarówno w trybie ECB jak i CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Twofish2.pm
%dir %{perl_vendorarch}/auto/Crypt/Twofish2
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Twofish2/*.so
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Twofish2.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 351409e
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 970b84f
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> d46db2b
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 3afacd0
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> ea51cfb
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> d8b18a3
- rebuild with perl 5.30.0
- release 11 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> b9ab78b
- rebuild with perl 5.28.0
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> db322f6
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 5b78e30
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 1c93420
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 40ad6e5
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 2e65754
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 170d319
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2007ff8
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b31feac
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c8d893d
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 6270dad
- up to 1.02

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f2daf4d
- release 3

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> a159acb
- generic URL
- License seems to be GPL (GPL v2 text included, no other license notes)

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a0445e9
- rel 2

